Loading...
Searching...
No Matches
dolfin::ParMETIS Class Reference

This class provides an interface to ParMETIS. More...

`#include <ParMETIS.h>`

## Static Public Member Functions

static void | compute_partition (const MPI_Comm mpi_comm, std::vector< int > &cell_partition, std::map< std::int64_t, std::vector< int > > &ghost_procs, const boost::multi_array< std::int64_t, 2 > &cell_vertices, const std::size_t num_global_vertices, const CellType &cell_type, const std::string mode="partition")

## Detailed Description

This class provides an interface to ParMETIS.

## Member Function Documentation

## compute_partition()

void ParMETIS::compute_partition | ( | const MPI_Comm | mpi_comm,
|  | std::vector< int > & | cell_partition,
|  | std::map< std::int64_t, std::vector< int > > & | ghost_procs,
|  | const boost::multi_array< std::int64_t, 2 > & | cell_vertices,
|  | const std::size_t | num_global_vertices,
|  | const CellType & | cell_type,
|  | const std::string | mode = "partition" )

static

Compute cell partition from local mesh data. The output vector cell_partition contains the desired destination process numbers for each cell. Cells shared on multiple processes have an entry in ghost_procs pointing to the set of sharing process numbers. The mode argument determines which ParMETIS function is called. It can be one of "partition", "adaptive_repartition" or "refine". For meshes that have already been partitioned or are already well partitioned, it can be advantageous to use "adaptive_repartition" or "refine".

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/ParMETIS.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/ParMETIS.cpp